HPL_dlocswpT(3)

NAME
HPL_dlocswpT - locally swaps rows within panel.

SYNOPSIS
#include "hpl.h"

void HPL_dlocswpT( HPL_T_panel * PANEL, const int II, const int JJ, double * WORK );

DESCRIPTION
HPL_dlocswpT performs the local swapping operations within a panel. The lower triangular N0-by-N0 upper block of the panel is stored in transpose form.

ARGUMENTS

PANEL   (local input/output)    HPL_T_panel *
    On entry, PANEL points to the data structure containing the panel information.

II      (local input)           const int
    On entry, II specifies the row offset where the column to be operated on starts with respect to the panel.

JJ      (local input)           const int
    On entry, JJ specifies the column offset where the column to be operated on starts with respect to the panel.

WORK    (local workspace)       double *
    On entry, WORK is a workarray of size at least 2 * (4+2*N0). WORK[0] contains the local maximum absolute value scalar, WORK[1] contains the corresponding local row index, WORK[2] contains the corresponding global row index, and WORK[3] is the coordinate of process owning this max. The N0 length max row is stored in WORK[4:4+N0-1]; Note that this is also the JJth row (or column) of L1. The remaining part of this array is used as workspace.

SEE ALSO
HPL_dlocmax (3), HPL_dlocswpN (3), HPL_pdmxswp (3), HPL_pdpancrN (3), HPL_pdpancrT (3), HPL_pdpanllN (3), HPL_pdpanllT (3), HPL_pdpanrlN (3), HPL_pdpanrlT (3), HPL_pdrpancrN (3), HPL_pdrpancrT (3), HPL_pdrpanllN (3), HPL_pdrpanllT (3), HPL_pdrpanrlN (3), HPL_pdrpanrlT (3), HPL_pdfact (3).